## pyecotrend-ista 3.3.2

=== requirements.txt ===
dataclasses-json>=0.6
requests>=2

=== debian/changelog ===
pyecotrend-ista (3.3.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 20:12:56 +0000

pyecotrend-ista (3.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1088795)

 -- Edward Betts <edward@4angle.com>  Sun, 01 Dec 2024 14:12:59 +0000

=== debian/control ===
Source: pyecotrend-ista
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dataclasses-json <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-requests-mock <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Ludy87/pyecotrend-ista
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista.git

Package: python3-pyecotrend-ista
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for accessing ecotrend-ista API
 This library provides functionality to interface with the ecotrend-ista API,
 enabling data retrieval and interaction with ista EcoTrend services. It allows
 users to import and manage monthly meter readings associated with heating, hot
 water, and water consumption. By connecting to the ista EcoTrend service, the
 library facilitates the acquisition of detailed sensor data, including heat
 cost allocation, energy consumption estimates in kilowatt-hours, and
 associated costs in euros. The data imported can further be used in various
 applications and services that integrate with ista EcoTrend's cloud polling
 capabilities.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyecotrend-ista
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--snapshot-warn-unused

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyecotrend_ista.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-xdist,
 python3-requests-mock,
 python3-syrupy,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyecotrend-ista-$1\.tar\.gz/ \
  https://github.com/Ludy87/pyecotrend-ista/tags .*/v?(\d\S+)\.tar\.gz

## pyecotrend-ista 3.3.3

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
babel==2.17.0
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-material
backrefs==5.8
    # via mkdocs-material
cachetools==5.5.2
    # via
    #   -r requirements.in
    #   tox
certifi==2025.4.26
    # via
    #   -r requirements.in
    #   requests
chardet==5.2.0
    # via
    #   -r requirements.in
    #   tox
charset-normalizer==3.4.2
    # via
    #   -r requirements.in
    #   requests
click==8.2.0
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-click
colorama==0.4.6
    # via
    #   -r requirements.in
    #   click
    #   griffe
    #   mkdocs
    #   mkdocs-material
    #   pytest
    #   tox
coverage[toml]==7.8.0
    # via pytest-cov
csscompressor==0.9.5
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
dataclasses-json==0.6.7
    # via -r requirements.in
distlib==0.3.9
    # via
    #   -r requirements.in
    #   virtualenv
exceptiongroup==1.3.0
    # via pytest
execnet==2.1.1
    # via pytest-xdist
filelock==3.18.0
    # via
    #   -r requirements.in
    #   tox
    #   virtualenv
fixtures==4.2.5
    # via requests-mock
ghp-import==2.1.0
    # via
    #   -r requirements.in
    #   mkdocs
gitdb==4.0.12
    # via
    #   -r requirements.in
    #   gitpython
gitpython==3.1.44
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
griffe==1.7.3
    # via
    #   -r requirements.in
    #   mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
idna==3.10
    # via
    #   -r requirements.in
    #   requests
iniconfig==2.1.0
    # via pytest
jinja2==3.1.6
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
markdown==3.8
    # via
    #   -r requirements.in
    #   markdown-callouts
    #   mdx-gh-links
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocs-click
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-callouts==0.4.0
    # via -r requirements.in
markupsafe==3.0.2
    # via
    #   -r requirements.in
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
marshmallow==3.26.1
    # via dataclasses-json
mdx-gh-links==0.4
    # via -r requirements.in
mergedeep==1.3.4
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-get-deps
mkdocs==1.6.1
    # via
    #   -r requirements.in
    #   mkdocs-autorefs
    #   mkdocs-git-authors-plugin
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-literate-nav
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocstrings
mkdocs-autorefs==1.4.1
    # via
    #   -r requirements.in
    #   mkdocstrings
    #   mkdocstrings-python
mkdocs-click==0.9.0
    # via -r requirements.in
mkdocs-get-deps==0.2.0
    # via
    #   -r requirements.in
    #   mkdocs
mkdocs-git-authors-plugin==0.9.5
    # via -r requirements.in
mkdocs-git-committers-plugin-2==2.5.0
    # via -r requirements.in
mkdocs-git-revision-date-localized-plugin==1.4.5
    # via -r requirements.in
mkdocs-literate-nav==0.6.2
    # via -r requirements.in
mkdocs-material==9.6.13
    # via -r requirements.in
mkdocs-material-extensions==1.3.1
    # via
    #   -r requirements.in
    #   mkdocs-material
mkdocs-minify-plugin==0.8.0
    # via -r requirements.in
mkdocstrings[python]==0.29.1
    # via
    #   -r requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.16.10
    # via
    #   -r requirements.in
    #   mkdocstrings
mypy-extensions==1.1.0
    # via typing-inspect
packaging==25.0
    # via
    #   -r requirements.in
    #   marshmallow
    #   mkdocs
    #   pyproject-api
    #   pytest
    #   setuptools-scm
    #   tox
paginate==0.5.7
    # via
    #   -r requirements.in
    #   mkdocs-material
pathspec==0.12.1
    # via
    #   -r requirements.in
    #   mkdocs
platformdirs==4.3.8
    # via
    #   -r requirements.in
    #   mkdocs-get-deps
    #   tox
    #   virtualenv
pluggy==1.5.0
    # via
    #   -r requirements.in
    #   pytest
    #   tox
pygments==2.19.1
    # via
    #   -r requirements.in
    #   mkdocs-material
pymdown-extensions==10.15
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   mkdocstrings
pyproject-api==1.9.1
    # via
    #   -r requirements.in
    #   tox
pytest==8.3.5
    # via
    #   -r requirements.in
    #   pytest-cov
    #   pytest-xdist
    #   syrupy
pytest-cov==6.1.1
    # via -r requirements.in
pytest-xdist==3.6.1
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via
    #   -r requirements.in
    #   ghp-import
pytz==2025.2
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
pyyaml==6.0.2
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-get-deps
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==1.0
    # via
    #   -r requirements.in
    #   mkdocs
regex==2024.11.6
    # via -r requirements.in
requests==2.32.3
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-material
    #   requests-mock
requests-mock[fixture]==1.12.1
    # via -r requirements.in
setuptools-scm==8.3.1
    # via -r requirements.in
six==1.17.0
    # via
    #   -r requirements.in
    #   python-dateutil
smmap==5.0.2
    # via
    #   -r requirements.in
    #   gitdb
syrupy==4.9.1
    # via -r requirements.in
tomli==2.2.1
    # via
    #   -r requirements.in
    #   coverage
    #   pyproject-api
    #   pytest
    #   setuptools-scm
    #   tox
tox==4.25.0
    # via -r requirements.in
typing-extensions==4.13.2
    # via
    #   -r requirements.in
    #   exceptiongroup
    #   mkdocstrings-python
    #   tox
    #   typing-inspect
typing-inspect==0.9.0
    # via dataclasses-json
urllib3==2.3.0
    # via
    #   -r requirements.in
    #   requests
virtualenv==20.31.2
    # via
    #   -r requirements.in
    #   tox
watchdog==6.0.0
    # via
    #   -r requirements.in
    #   mkdocs

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
pyecotrend-ista (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 13 Jun 2025 12:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-requests-mock <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Ludy87/pyecotrend-ista
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyecotrend-ista
 Architecture: all

=== debian/watch ===
version=4
https://github.com/Ludy87/pyecotrend-ista/tags .*/v?(\d\S+)\.tar\.gz

## pyecotrend-ista 3.4.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
babel==2.17.0
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-material
backrefs==5.8
    # via mkdocs-material
cachetools==6.1.0
    # via tox
certifi==2025.8.3
    # via requests
chardet==5.2.0
    # via tox
charset-normalizer==3.4.3
    # via requests
click==8.2.1
    # via
    #   mkdocs
    #   mkdocs-click
    #   mkdocs-material
colorama==0.4.6
    # via
    #   click
    #   griffe
    #   mkdocs
    #   mkdocs-material
    #   pytest
    #   tox
coverage[toml]==7.8.0
    # via pytest-cov
csscompressor==0.9.5
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
dataclasses-json==0.6.7
    # via -r requirements.in
distlib==0.4.0
    # via virtualenv
execnet==2.1.1
    # via pytest-xdist
filelock==3.19.1
    # via
    #   tox
    #   virtualenv
fixtures==4.2.5
    # via requests-mock
ghp-import==2.1.0
    # via
    #   -r requirements.in
    #   mkdocs
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
griffe==1.14.0
    # via mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
idna==3.10
    # via requests
iniconfig==2.1.0
    # via pytest
jinja2==3.1.6
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
markdown==3.9
    # via
    #   -r requirements.in
    #   markdown-callouts
    #   mdx-gh-links
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocs-click
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-callouts==0.4.0
    # via -r requirements.in
markupsafe==3.0.2
    # via
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
marshmallow==3.26.1
    # via dataclasses-json
mdx-gh-links==0.4
    # via -r requirements.in
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-get-deps
mkdocs==1.6.1
    # via
    #   -r requirements.in
    #   mkdocs-autorefs
    #   mkdocs-git-authors-plugin
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-literate-nav
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocstrings
mkdocs-autorefs==1.4.3
    # via
    #   -r requirements.in
    #   mkdocstrings
    #   mkdocstrings-python
mkdocs-click==0.9.0
    # via -r requirements.in
mkdocs-get-deps==0.2.0
    # via mkdocs
mkdocs-git-authors-plugin==0.10.0
    # via -r requirements.in
mkdocs-git-committers-plugin-2==2.5.0
    # via -r requirements.in
mkdocs-git-revision-date-localized-plugin==1.4.7
    # via -r requirements.in
mkdocs-literate-nav==0.6.2
    # via -r requirements.in
mkdocs-material==9.6.20
    # via -r requirements.in
mkdocs-material-extensions==1.3.1
    # via
    #   -r requirements.in
    #   mkdocs-material
mkdocs-minify-plugin==0.8.0
    # via -r requirements.in
mkdocstrings[python]==0.30.1
    # via
    #   -r requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.18.2
    # via mkdocstrings
mypy-extensions==1.1.0
    # via typing-inspect
packaging==25.0
    # via
    #   marshmallow
    #   mkdocs
    #   pyproject-api
    #   pytest
    #   tox
paginate==0.5.7
    # via
    #   -r requirements.in
    #   mkdocs-material
pathspec==0.12.1
    # via mkdocs
platformdirs==4.3.8
    # via
    #   mkdocs-get-deps
    #   tox
    #   virtualenv
pluggy==1.6.0
    # via
    #   pytest
    #   pytest-cov
    #   tox
pygments==2.19.2
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   pytest
pymdown-extensions==10.16.1
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   mkdocstrings
pyproject-api==1.9.1
    # via tox
pytest==8.4.1
    # via
    #   -r requirements.in
    #   pytest-cov
    #   pytest-xdist
    #   syrupy
pytest-cov==6.2.1
    # via -r requirements.in
pytest-xdist==3.8.0
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via
    #   -r requirements.in
    #   ghp-import
pytz==2025.2
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
pyyaml==6.0.2
    # via
    #   mkdocs
    #   mkdocs-get-deps
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==1.1
    # via mkdocs
regex==2025.9.18
    # via -r requirements.in
requests==2.32.4
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-material
    #   requests-mock
requests-mock[fixture]==1.12.1
    # via -r requirements.in
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
syrupy==4.9.1
    # via -r requirements.in
tox==4.30.2
    # via -r requirements.in
typing-extensions==4.14.1
    # via typing-inspect
typing-inspect==0.9.0
    # via dataclasses-json
urllib3==2.5.0
    # via requests
virtualenv==20.34.0
    # via tox
watchdog==6.0.0
    # via
    #   -r requirements.in
    #   mkdocs

=== debian/changelog ===
pyecotrend-ista (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 09:09:30 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pytest-xdist <!nocheck>,
  python3-requests-mock <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/Ludy87/pyecotrend-ista
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--snapshot-warn-unused

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: Ludy87
Project: pyecotrend-ista

## pyecotrend-ista 3.5.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile --generate-hashes --output-file=requirements.txt --strip-extras requirements.in
#
babel==2.17.0 \
    --hash=sha256:0c54cffb19f690cdcc52a3b50bcbf71e07a808d1c80d549f2459b9d2cf0afb9d \
    --hash=sha256:4d0b53093fdfb4b21c92b5213dba5a1b23885afa8383709427046b21c366e5f2
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-material
backrefs==5.9 \
    --hash=sha256:6907635edebbe9b2dc3de3a2befff44d74f30a4562adbb8b36f21252ea19c5cf \
    --hash=sha256:7fdf9771f63e6028d7fee7e0c497c81abda597ea45d6b8f89e8ad76994f5befa \
    --hash=sha256:808548cb708d66b82ee231f962cb36faaf4f2baab032f2fbb783e9c2fdddaa59 \
    --hash=sha256:cc37b19fa219e93ff825ed1fed8879e47b4d89aa7a1884860e2db64ccd7c676b \
    --hash=sha256:db8e8ba0e9de81fcd635f440deab5ae5f2591b54ac1ebe0550a2ca063488cd9f \
    --hash=sha256:df5e169836cc8acb5e440ebae9aad4bf9d15e226d3bad049cf3f6a5c20cc8dc9 \
    --hash=sha256:f48ee18f6252b8f5777a22a00a09a85de0ca931658f1dd96d4406a34f3748c60
    # via mkdocs-material
cachetools==6.2.2 \
    --hash=sha256:6c09c98183bf58560c97b2abfcedcbaf6a896a490f534b031b661d3723b45ace \
    --hash=sha256:8e6d266b25e539df852251cfd6f990b4bc3a141db73b939058d809ebd2590fc6
    # via tox
certifi==2025.11.12 \
    --hash=sha256:97de8790030bbd5c2d96b7ec782fc2f7820ef8dba6db909ccf95449f2d062d4b \
    --hash=sha256:d8ab5478f2ecd78af242878415affce761ca6bc54a22a27e026d7c25357c3316
    # via requests
chardet==5.2.0 \
    --hash=sha256:1b3b6ff479a8c414bc3fa2c0852995695c4a026dcd6d0633b2dd092ca39c1cf7 \
    --hash=sha256:e1cf59446890a00105fe7b7912492ea04b6e6f06d4b742b2c788469e34c82970
    # via tox
charset-normalizer==3.4.4 \
    --hash=sha256:027f6de494925c0ab2a55eab46ae5129951638a49a34d87f4c3eda90f696b4ad \
    --hash=sha256:077fbb858e903c73f6c9db43374fd213b0b6a778106bc7032446a8e8b5b38b93 \
    --hash=sha256:0a98e6759f854bd25a58a73fa88833fba3b7c491169f86ce1180c948ab3fd394 \
    --hash=sha256:0d3d8f15c07f86e9ff82319b3d9ef6f4bf907608f53fe9d92b28ea9ae3d1fd89 \
    --hash=sha256:0f04b14ffe5fdc8c4933862d8306109a2c51e0704acfa35d51598eb45a1e89fc \
    --hash=sha256:11d694519d7f29d6cd09f6ac70028dba10f92f6cdd059096db198c283794ac86 \
    --hash=sha256:194f08cbb32dc406d6e1aea671a68be0823673db2832b38405deba2fb0d88f63 \
    --hash=sha256:1bee1e43c28aa63cb16e5c14e582580546b08e535299b8b6158a7c9c768a1f3d \
    --hash=sha256:21d142cc6c0ec30d2efee5068ca36c128a30b0f2c53c1c07bd78cb6bc1d3be5f \
    --hash=sha256:2437418e20515acec67d86e12bf70056a33abdacb5cb1655042f6538d6b085a8 \
    --hash=sha256:244bfb999c71b35de57821b8ea746b24e863398194a4014e4c76adc2bbdfeff0 \
    --hash=sha256:2677acec1a2f8ef614c6888b5b4ae4060cc184174a938ed4e8ef690e15d3e505 \
    --hash=sha256:277e970e750505ed74c832b4bf75dac7476262ee2a013f5574dd49075879e161 \
    --hash=sha256:2aaba3b0819274cc41757a1da876f810a3e4d7b6eb25699253a4effef9e8e4af \
    --hash=sha256:2b7d8f6c26245217bd2ad053761201e9f9680f8ce52f0fcd8d0755aeae5b2152 \
    --hash=sha256:2c9d3c380143a1fedbff95a312aa798578371eb29da42106a29019368a475318 \
    --hash=sha256:3162d5d8ce1bb98dd51af660f2121c55d0fa541b46dff7bb9b9f86ea1d87de72 \
    --hash=sha256:31fd66405eaf47bb62e8cd575dc621c56c668f27d46a61d975a249930dd5e2a4 \
    --hash=sha256:362d61fd13843997c1c446760ef36f240cf81d3ebf74ac62652aebaf7838561e \
    --hash=sha256:376bec83a63b8021bb5c8ea75e21c4ccb86e7e45ca4eb81146091b56599b80c3 \
    --hash=sha256:44c2a8734b333e0578090c4cd6b16f275e07aa6614ca8715e6c038e865e70576 \
    --hash=sha256:47cc91b2f4dd2833fddaedd2893006b0106129d4b94fdb6af1f4ce5a9965577c \
    --hash=sha256:4902828217069c3c5c71094537a8e623f5d097858ac6ca8252f7b4d10b7560f1 \
    --hash=sha256:4bd5d4137d500351a30687c2d3971758aac9a19208fc110ccb9d7188fbe709e8 \
    --hash=sha256:4fe7859a4e3e8457458e2ff592f15ccb02f3da787fcd31e0183879c3ad4692a1 \
    --hash=sha256:542d2cee80be6f80247095cc36c418f7bddd14f4a6de45af91dfad36d817bba2 \
    --hash=sha256:554af85e960429cf30784dd47447d5125aaa3b99a6f0683589dbd27e2f45da44 \
    --hash=sha256:5833d2c39d8896e4e19b689ffc198f08ea58116bee26dea51e362ecc7cd3ed26 \
    --hash=sha256:5947809c8a2417be3267efc979c47d76a079758166f7d43ef5ae8e9f92751f88 \
    --hash=sha256:5ae497466c7901d54b639cf42d5b8c1b6a4fead55215500d2f486d34db48d016 \
    --hash=sha256:5bd2293095d766545ec1a8f612559f6b40abc0eb18bb2f5d1171872d34036ede \
    --hash=sha256:5bfbb1b9acf3334612667b61bd3002196fe2a1eb4dd74d247e0f2a4d50ec9bbf \
    --hash=sha256:5cb4d72eea50c8868f5288b7f7f33ed276118325c1dfd3957089f6b519e1382a \
    --hash=sha256:5dbe56a36425d26d6cfb40ce79c314a2e4dd6211d51d6d2191c00bed34f354cc \
    --hash=sha256:5f819d5fe9234f9f82d75bdfa9aef3a3d72c4d24a6e57aeaebba32a704553aa0 \
    --hash=sha256:64b55f9dce520635f018f907ff1b0df1fdc31f2795a922fb49dd14fbcdf48c84 \
    --hash=sha256:6515f3182dbe4ea06ced2d9e8666d97b46ef4c75e326b79bb624110f122551db \
    --hash=sha256:65e2befcd84bc6f37095f5961e68a6f077bf44946771354a28ad434c2cce0ae1 \
    --hash=sha256:6aee717dcfead04c6eb1ce3bd29ac1e22663cdea57f943c87d1eab9a025438d7 \
    --hash=sha256:6b39f987ae8ccdf0d2642338faf2abb1862340facc796048b604ef14919e55ed \
    --hash=sha256:6e1fcf0720908f200cd21aa4e6750a48ff6ce4afe7ff5a79a90d5ed8a08296f8 \
    --hash=sha256:74018750915ee7ad843a774364e13a3db91682f26142baddf775342c3f5b1133 \
    --hash=sha256:74664978bb272435107de04e36db5a9735e78232b85b77d45cfb38f758efd33e \
    --hash=sha256:74bb723680f9f7a6234dcf67aea57e708ec1fbdf5699fb91dfd6f511b0a320ef \
    --hash=sha256:752944c7ffbfdd10c074dc58ec2d5a8a4cd9493b314d367c14d24c17684ddd14 \
    --hash=sha256:778d2e08eda00f4256d7f672ca9fef386071c9202f5e4607920b86d7803387f2 \
    --hash=sha256:780236ac706e66881f3b7f2f32dfe90507a09e67d1d454c762cf642e6e1586e0 \
    --hash=sha256:798d75d81754988d2565bff1b97ba5a44411867c0cf32b77a7e8f8d84796b10d \
    --hash=sha256:799a7a5e4fb2d5898c60b640fd4981d6a25f1c11790935a44ce38c54e985f828 \
    --hash=sha256:7a32c560861a02ff789ad905a2fe94e3f840803362c84fecf1851cb4cf3dc37f \
    --hash=sha256:7c308f7e26e4363d79df40ca5b2be1c6ba9f02bdbccfed5abddb7859a6ce72cf \
    --hash=sha256:7fa17817dc5625de8a027cb8b26d9fefa3ea28c8253929b8d6649e705d2835b6 \
    --hash=sha256:81d5eb2a312700f4ecaa977a8235b634ce853200e828fbadf3a9c50bab278328 \
    --hash=sha256:82004af6c302b5d3ab2cfc4cc5f29db16123b1a8417f2e25f9066f91d4411090 \
    --hash=sha256:837c2ce8c5a65a2035be9b3569c684358dfbf109fd3b6969630a87535495ceaa \
    --hash=sha256:840c25fb618a231545cbab0564a799f101b63b9901f2569faecd6b222ac72381 \
    --hash=sha256:8a6562c3700cce886c5be75ade4a5db4214fda19fede41d9792d100288d8f94c \
    --hash=sha256:8af65f14dc14a79b924524b1e7fffe304517b2bff5a58bf64f30b98bbc5079eb \
    --hash=sha256:8ef3c867360f88ac904fd3f5e1f902f13307af9052646963ee08ff4f131adafc \
    --hash=sha256:94537985111c35f28720e43603b8e7b43a6ecfb2ce1d3058bbe955b73404e21a \
    --hash=sha256:99ae2cffebb06e6c22bdc25801d7b30f503cc87dbd283479e7b606f70aff57ec \
    --hash=sha256:9a26f18905b8dd5d685d6d07b0cdf98a79f3c7a918906af7cc143ea2e164c8bc \
    --hash=sha256:9b35f4c90079ff2e2edc5b26c0c77925e5d2d255c42c74fdb70fb49b172726ac \
    --hash=sha256:9cd98cdc06614a2f768d2b7286d66805f94c48cde050acdbbb7db2600ab3197e \
    --hash=sha256:9d1bb833febdff5c8927f922386db610b49db6e0d4f4ee29601d71e7c2694313 \
    --hash=sha256:9f7fcd74d410a36883701fafa2482a6af2ff5ba96b9a620e9e0721e28ead5569 \
    --hash=sha256:a59cb51917aa591b1c4e6a43c132f0cdc3c76dbad6155df4e28ee626cc77a0a3 \
    --hash=sha256:a61900df84c667873b292c3de315a786dd8dac506704dea57bc957bd31e22c7d \
    --hash=sha256:a79cfe37875f822425b89a82333404539ae63dbdddf97f84dcbc3d339aae9525 \
    --hash=sha256:a8a8b89589086a25749f471e6a900d3f662d1d3b6e2e59dcecf787b1cc3a1894 \
    --hash=sha256:a8bf8d0f749c5757af2142fe7903a9df1d2e8aa3841559b2bad34b08d0e2bcf3 \
    --hash=sha256:a9768c477b9d7bd54bc0c86dbaebdec6f03306675526c9927c0e8a04e8f94af9 \
    --hash=sha256:ac1c4a689edcc530fc9d9aa11f5774b9e2f33f9a0c6a57864e90908f5208d30a \
    --hash=sha256:af2d8c67d8e573d6de5bc30cdb27e9b95e49115cd9baad5ddbd1a6207aaa82a9 \
    --hash=sha256:b435cba5f4f750aa6c0a0d92c541fb79f69a387c91e61f1795227e4ed9cece14 \
    --hash=sha256:b5b290ccc2a263e8d185130284f8501e3e36c5e02750fc6b6bdeb2e9e96f1e25 \
    --hash=sha256:b5d84d37db046c5ca74ee7bb47dd6cbc13f80665fdde3e8040bdd3fb015ecb50 \
    --hash=sha256:b7cf1017d601aa35e6bb650b6ad28652c9cd78ee6caff19f3c28d03e1c80acbf \
    --hash=sha256:bc7637e2f80d8530ee4a78e878bce464f70087ce73cf7c1caf142416923b98f1 \
    --hash=sha256:c0463276121fdee9c49b98908b3a89c39be45d86d1dbaa22957e38f6321d4ce3 \
    --hash=sha256:c4ef880e27901b6cc782f1b95f82da9313c0eb95c3af699103088fa0ac3ce9ac \
    --hash=sha256:c8ae8a0f02f57a6e61203a31428fa1d677cbe50c93622b4149d5c0f319c1d19e \
    --hash=sha256:ca5862d5b3928c4940729dacc329aa9102900382fea192fc5e52eb69d6093815 \
    --hash=sha256:cb01158d8b88ee68f15949894ccc6712278243d95f344770fa7593fa2d94410c \
    --hash=sha256:cb6254dc36b47a990e59e1068afacdcd02958bdcce30bb50cc1700a8b9d624a6 \
    --hash=sha256:cc00f04ed596e9dc0da42ed17ac5e596c6ccba999ba6bd92b0e0aef2f170f2d6 \
    --hash=sha256:cd09d08005f958f370f539f186d10aec3377d55b9eeb0d796025d4886119d76e \
    --hash=sha256:cd4b7ca9984e5e7985c12bc60a6f173f3c958eae74f3ef6624bb6b26e2abbae4 \
    --hash=sha256:ce8a0633f41a967713a59c4139d29110c07e826d131a316b50ce11b1d79b4f84 \
    --hash=sha256:cead0978fc57397645f12578bfd2d5ea9138ea0fac82b2f63f7f7c6877986a69 \
    --hash=sha256:d055ec1e26e441f6187acf818b73564e6e6282709e9bcb5b63f5b23068356a15 \
    --hash=sha256:d1f13550535ad8cff21b8d757a3257963e951d96e20ec82ab44bc64aeb62a191 \
    --hash=sha256:d9c7f57c3d666a53421049053eaacdd14bbd0a528e2186fcb2e672effd053bb0 \
    --hash=sha256:d9e45d7faa48ee908174d8fe84854479ef838fc6a705c9315372eacbc2f02897 \
    --hash=sha256:da3326d9e65ef63a817ecbcc0df6e94463713b754fe293eaa03da99befb9a5bd \
    --hash=sha256:de00632ca48df9daf77a2c65a484531649261ec9f25489917f09e455cb09ddb2 \
    --hash=sha256:e1f185f86a6f3403aa2420e815904c67b2f9ebc443f045edd0de921108345794 \
    --hash=sha256:e824f1492727fa856dd6eda4f7cee25f8518a12f3c4a56a74e8095695089cf6d \
    --hash=sha256:e912091979546adf63357d7e2ccff9b44f026c075aeaf25a52d0e95ad2281074 \
    --hash=sha256:eaabd426fe94daf8fd157c32e571c85cb12e66692f15516a83a03264b08d06c3 \
    --hash=sha256:ebf3e58c7ec8a8bed6d66a75d7fb37b55e5015b03ceae72a8e7c74495551e224 \
    --hash=sha256:ecaae4149d99b1c9e7b88bb03e3221956f68fd6d50be2ef061b2381b61d20838 \
    --hash=sha256:eecbc200c7fd5ddb9a7f16c7decb07b566c29fa2161a16cf67b8d068bd21690a \
    --hash=sha256:f155a433c2ec037d4e8df17d18922c3a0d9b3232a396690f17175d2946f0218d \
    --hash=sha256:f1e34719c6ed0b92f418c7c780480b26b5d9c50349e9a9af7d76bf757530350d \
    --hash=sha256:f34be2938726fc13801220747472850852fe6b1ea75869a048d6f896838c896f \
    --hash=sha256:f820802628d2694cb7e56db99213f930856014862f3fd943d290ea8438d07ca8 \
    --hash=sha256:f8bf04158c6b607d747e93949aa60618b61312fe647a6369f88ce2ff16043490 \
    --hash=sha256:f8e160feb2aed042cd657a72acc0b481212ed28b1b9a95c0cee1621b524e1966 \
    --hash=sha256:f9d332f8c2a2fcbffe1378594431458ddbef721c1769d78e2cbc06280d8155f9 \
    --hash=sha256:fa09f53c465e532f4d3db095e0c55b615f010ad81803d383195b6b5ca6cbf5f3 \
    --hash=sha256:faa3a41b2b66b6e50f84ae4a68c64fcd0c44355741c6374813a800cd6695db9e \
    --hash=sha256:fd44c878ea55ba351104cb93cc85e74916eb8fa440ca7903e57575e97394f608
    # via requests
click==8.3.1 \
    --hash=sha256:12ff4785d337a1bb490bb7e9c2b1ee5da3112e94a8622f26a6c77f5d2fc6842a \
    --hash=sha256:981153a64e25f12d547d3426c367a4857371575ee7ad18df2a6183ab0545b2a6
    # via
    #   mkdocs
    #   mkdocs-click
colorama==0.4.6 \
    --hash=sha256:08695f5cb7ed6e0531a20572697297273c47b8cae5a63ffc6d6ed5c201be6e44 \
    --hash=sha256:4f1d9991f5acc0ca119f9d443620b77f9d6b33703e51011c16baf57afb285fc6
    # via
    #   click
    #   griffe
    #   mkdocs
    #   mkdocs-material
    #   pytest
    #   tox
coverage==7.13.0 \

=== debian/changelog ===
pyecotrend-ista (3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 12 Dec 2025 08:58:27 +0000
